/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.impl;

import net.northking.cctp.common.db.entity.EntityService;
import net.northking.cctp.device.db.dao.CdMobileBrandDao;
import net.northking.cctp.device.db.service.CdMobileBrandService;
import net.northking.cctp.device.db.entity.CdMobileBrand;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 移动设备品牌表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-09 11:16:11  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "CdMobileBrandServiceImpl")
public class CdMobileBrandServiceImpl extends EntityService<CdMobileBrand> implements CdMobileBrandService
{
private static final Logger logger = LoggerFactory.getLogger(CdMobileBrandServiceImpl.class);

  private final CdMobileBrandDao cdMobileBrandDao;

  public CdMobileBrandServiceImpl(CdMobileBrandDao cdMobileBrandDao) {this.cdMobileBrandDao = cdMobileBrandDao;}

  public BasicDao<CdMobileBrand> getDao() {return cdMobileBrandDao;}

  public CdMobileBrand createEntity() { return new CdMobileBrand();}

  @Override
  public List<CdMobileBrand> findAllBrand() {
    List<CdMobileBrand> brands = this.cdMobileBrandDao.findAllBrand();
    return brands;
  }

  @Override
  public Integer checkBrand(CdMobileBrand brand) {
    Integer integer = this.cdMobileBrandDao.checkBrand(brand);
    return integer;
  }


// ----      The End by Generator     ----//




}

